<?php include TEMPLATEPATH.'/jwpanel/jwpanel-get.php'; ?>

<?php get_header(); ?>

<div id="contentContainer">
	
	<?php ll_show_breadcrumbs($post->ID); ?>

	<div id="content">
	
		<div id="blog" class="two-third">

			<?php if (have_posts()) : ?>

				<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>

				<?php /* If this is a category archive */ if (is_category()) { ?>
					
					<h2><?php _e('Archive for', 'lifeline'); ?> &#8216;<?php single_cat_title(); ?>&#8217; <?php _e('Category', 'lifeline'); ?></h2>

				<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
					
					<h2><?php _e('Posts Tagged', 'lifeline'); ?> &#8216;<?php single_tag_title(); ?>&#8217;</h2>

				<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
					
					<h2><?php _e('Archive for', 'lifeline'); ?> <?php the_time('F jS, Y'); ?></h2>

				<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
					
					<h2><?php _e('Archive for', 'lifeline'); ?> <?php the_time('F, Y'); ?></h2>

				<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
					
					<h2 class="pagetitle"><?php _e('Archive for', 'lifeline'); ?> <?php the_time('Y'); ?></h2>

				<?php /* If this is an author archive */ } elseif (is_author()) { ?>
					
					<h2 class="pagetitle"><?php _e('Author Archive', 'lifeline'); ?></h2>

				<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
					
					<h2 class="pagetitle"><?php _e('Blog Archives', 'lifeline'); ?></h2>
				
				<?php } ?>
				
				<?php while (have_posts()) : the_post(); ?>
					
					<div class="hr"></div>
					
					<div class="item">
						
						<h2><?php the_title(); ?></h2>
						
						<?php if(has_post_thumbnail()){ the_post_thumbnail(); }  ?>
						
						<div class="content">
							<?php the_excerpt(); ?>
							<p><a href="<?php the_permalink(); ?>" class="btn grey"><span><?php _e('Read more', 'lifeline'); ?></span></a></p>
						</div>
						
						<div class="meta">
							<ul>
								<li class="user"><a href="<?php the_author_link(); ?>"><?php the_author(); ?></a></li>
								<li class="cal"><?php the_time('F j, Y'); ?></li>
								<li class="tag"><?php the_category(', '); ?></li>
								<li class="comments"><?php comments_popup_link(__('No comments', 'lifeline'), __('One comment', 'lifeline'), __('% comments', 'lifeline'), __('No Comments', 'lifeline')); ?> </li>
							</ul>
						</div>
						
					</div> <!-- end blog item -->

				<?php endwhile; ?>
				
			<?php else : ?>

				<h2><?php _e('Nothing found', 'lifeline'); ?></h2>

			<?php endif; ?>
		
		</div><!-- #blog -->
		
		<div class="hr"></div>
		
		<?php wp_reset_query(); ?>
		
		<?php $num_pages = $wp_query->max_num_pages; ?>
		
		<?php $numbered_pagination = $ll_blog_numbered_pagination; ?>
		
		<?php include (TEMPLATEPATH . '/inc/nav.php' ); ?>
		
	</div><!-- #content -->
	
	<?php get_sidebar(); ?>

</div><!-- #contentContainer -->

<?php get_footer(); ?>
