<?php

	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) { 
		?><?php _e('This post is password protected. Enter the password to view comments.', 'lifeline'); ?><?php
		return;
	}
	
?>

<?php if ( have_comments() ) : ?>
	
	<h4><?php comments_number(__('No Responses', 'lifeline'), __('One Response', 'lifeline'), __('% Responses', 'lifeline') );?></h4>

	<ol class="commentlist">
		<?php wp_list_comments('type=comment&callback=format_comment'); ?>
	</ol>
	
 <?php else : // this is displayed if there are no comments so far ?>

	<?php if ( comments_open() ) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
	 
		<p><?php _e('Comments are closed.', 'lifeline'); ?></p>

	<?php endif; ?>
	
<?php endif; ?>

<?php if ( comments_open() ) : ?>

	<div id="leave-comment">

		<h2><?php comment_form_title( __('Comment on this post', 'lifeline'), __('Reply to %s', 'lifeline') ); ?></h2>

		<div class="cancel-comment-reply">
			<?php cancel_comment_reply_link(); ?>
		</div>

		<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
			<p><?php _e('You must be logged in to post a comment.', 'lifeline'); ?></p>
		<?php else : ?>

		<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" class="cmxform" id="blogForm">
			
			<fieldset>
			
				<?php if ( is_user_logged_in() ) : ?>

					<p><?php _e('Logged in as', 'lifeline'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account"><?php _e('Log out', 'lifeline'); ?> &raquo;</a></p>

				<?php else : ?>
					
					<p>
						<label for="author"><?php _e('Name', 'lifeline'); ?> <?php if ($req) echo "(required)"; ?></label>
						<input type="text" name="author" id="author" value="<?php echo esc_attr($comment_author); ?>" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
					</p>

					<p>
						<label for="email"><?php _e('Mail (will not be published)', 'lifeline'); ?> <?php if ($req) echo "(required)"; ?></label>
						<input type="text" name="email" id="email" value="<?php echo esc_attr($comment_author_email); ?>" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
					</p>

					<p>
						<label for="url"><?php _e('Website', 'lifeline'); ?></label>
						<input type="text" name="url" id="url" value="<?php echo esc_attr($comment_author_url); ?>" size="22" tabindex="3" />
					</p>

				<?php endif; ?>

				<p>
					<label for="author"><?php _e('Comment', 'lifeline'); ?> <?php if ($req) echo "(required)"; ?></label>
					<textarea name="comment" id="comment" cols="58" rows="10" tabindex="4"></textarea>
				</p>
			
			</fieldset>
			
			<p>
				<a class="btn grey" id="js-submit-comment" href="#"><span><?php _e('Submit Comment', 'lifeline'); ?></span></a>
				<button class="submit" type="submit" name="submit">Submit</button>
				<?php comment_id_fields(); ?>
			</p>
			
			<?php do_action('comment_form', $post->ID); ?>

		</form>

		<?php endif; // If registration required and not logged in ?>
		
	</div><!-- #leave-comment -->

<?php endif; ?>