<?php
	
	//Localization
	load_theme_textdomain('lifeline', TEMPLATEPATH . '/lang');
	
	// Paths
	$path_functions = TEMPLATEPATH . '/functions';
	$path_admin = TEMPLATEPATH . '/jwpanel';
	
	// Load js files
	if (!is_admin()) {
	
		// Deregister scripts
		wp_deregister_script('jquery');
		
		// Register scripts
		wp_register_script('jquery', ("http://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js"), false);
		wp_register_script('jquery_ui', ("http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.3/jquery-ui.min.js"), false);
		wp_register_script('jquery_easing', (get_bloginfo('template_url').'/js/jquery.easing.1.2.js'), false);
		wp_register_script('jquery_tooltip', (get_bloginfo('template_url').'/js/tooltip.js'), false);
		wp_register_script('jquery_custom', (get_bloginfo('template_url').'/js/custom.js'), false);
		wp_register_script('js_yui', (get_bloginfo('template_url').'/js/cufon-yui.js'), false);
		wp_register_script('js_myriadpro', (get_bloginfo('template_url').'/js/Myriad_Pro.js'), false);
		wp_register_script('jquery_nivo', (get_bloginfo('template_url').'/js/nivo.slider.js'), false);
		wp_register_script('jquery_fancybox', (get_bloginfo('template_url').'/js/jquery.fancybox-1.3.1.js'), false);
		wp_register_script('js_livevalidation', (get_bloginfo('template_url').'/js/livevalidation.js'), false);
		wp_register_script('jquery_quicksand', (get_bloginfo('template_url').'/js/quicksand.js'), false);
		
		// Enqueue scripts
		wp_enqueue_script('jquery');
		wp_enqueue_script('jquery_ui');
		wp_enqueue_script('jquery_easing');
		wp_enqueue_script('jquery_tooltip');
		wp_enqueue_script('jquery_custom');
		wp_enqueue_script('js_yui');
		wp_enqueue_script('js_myriadpro');
		wp_enqueue_script('jquery_nivo');
		wp_enqueue_script('jquery_fancybox');
		wp_enqueue_script('js_livevalidation');
		wp_enqueue_script('jquery_quicksand');
		
	}
	
	// Load javascript files in the admin
	add_action( 'admin_init', 'll_admin_scripts' );
	
	function ll_admin_scripts(){
		
		wp_register_script('jPaginate', (get_bloginfo('template_url').'/js/jPaginate.js'), false, false, true);
		wp_register_script('admin_js_custom', (get_bloginfo('template_url').'/js/admin-js.js'), false, false, true);
		wp_register_script('jwpanel_swfobject', (get_bloginfo('template_url').'/jwpanel/scripts/uploadify/swfobject.js'), false);
		wp_register_script('jwpanel_uploadify', (get_bloginfo('template_url').'/jwpanel/scripts/uploadify/jquery.uploadify.v2.1.4.min.js'), false);

		wp_enqueue_script('jPaginate');
		wp_enqueue_script('admin_js_custom');
		wp_enqueue_script('jwpanel_swfobject');
		wp_enqueue_script('jwpanel_uploadify');
		
	}
	
	// Add a stylesheet to the admin
	function admin_css_insert() {
	   ?>
		<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/admin-style.css" type="text/css" />
		<link href="<?php bloginfo('template_url'); ?>/jwpanel/scripts/uploadify/uploadify.css" type="text/css" rel="stylesheet" />
		<script>
		jQuery(document).ready(function($){
			$('.jwpanel-upload').each(function(){
				var this_ = $(this);
				$(this).uploadify({
					'uploader'  : '<?php bloginfo('template_url'); ?>/jwpanel/scripts/uploadify/uploadify.swf',
					'script'    : '<?php bloginfo('template_url'); ?>/jwpanel/scripts/uploadify/uploadify.php',
					'cancelImg' : '<?php bloginfo('template_url'); ?>/jwpanel/scripts/uploadify/cancel.png',
					'folder'    : '',
					'auto'      : true,
					'buttonImg' : '<?php bloginfo('template_url'); ?>/jwpanel/images/upload.png',
					'width'		: 88,
					'height'	: 35,
					'onComplete'  : function(event, ID, fileObj, response, data) {
						
						$(this_).parents('.jwpanel-option').find('input[type=hidden]').val(response);
						$(this_).parents('.jwpanel-option').find('.jwpanel-upload-message').text(fileObj.name + ' uploaded');
						
					}
				});
			});
		});
		</script>
		<?php
	}
	add_action('admin_head', 'admin_css_insert');
    
    // WordPress 3.0 Menus
	register_nav_menus(array(
		'top-nav' => __('Top Navigation'),
		'main-nav' => __('Main Navigation'),
	));
	
	// Theme Options (jwPanel)
	include($path_admin.'/jwpanel-framework.php');
	include($path_admin.'/jwpanel-options.php');
	
	// Shortcodes
	include($path_functions.'/shortcodes.php');
	
	// Widgets
	include($path_functions.'/widgets/widget.recent-posts.php'); 			//Recent posts
	include($path_functions.'/widgets/widget.popular-recent-comment.php');	//Tabbed posts and comments
	include($path_functions.'/widgets/widget.home-full-tweet.php');			//Full width tweet
	include($path_functions.'/widgets/widget.separator.php');				//Separator
	include($path_functions.'/widgets/widget.blank.php');					//Blank widget
	include($path_functions.'/widgets/widget.slider.php');					//Big Slider
	include($path_functions.'/widgets/widget.slider-small.php');			//Small slider
	include($path_functions.'/widgets/widget.slider-posts.php');			//Posts slider
	include($path_functions.'/widgets/widget.social.php');					//Social
	include($path_functions.'/widgets/widget.contact.php');					//Contact form
	
	// Post types
	include($path_functions.'/post-types.php');
	
	// Meta boxes
	include($path_functions.'/meta-boxes.php');
	
	// Post Thumbnail
	if (function_exists('add_theme_support')) {
		add_theme_support('post-thumbnails');
		set_post_thumbnail_size(630, 183, true); //post thumbnail
		add_image_size('tiny', 58, 43, true); //sidebar widgets
		add_image_size('size_294', 294, 130, true); //294x130 pixels
		add_image_size('294x145', 294, 145, true); //294x145
		add_image_size('portfolio_big', 461, 292, true); //Portfolio big
		add_image_size('big_slider', 944, '', true); //Big slider
		add_image_size('size_100x100', 100, 100, true); //100x100
	}
	
	// Add classes to active page in wp_nav_menu()
	add_filter('nav_menu_css_class', 'active_classes_wp_nav_menu', 10, 2);
	function active_classes_wp_nav_menu($classes = array(), $menu_item = false){
		
		if(in_array('current-menu-item', $menu_item->classes)){
			$classes[] = 'active';
			$classes[] = 'current';
		}
		
		if(in_array('current-menu-parent', $menu_item->classes)){
			$classes[] = 'active';
			$classes[] = 'current';
		}
		
		return $classes;
	}
		
	// Add classes to active page in wp_list_pages()
	add_filter('wp_list_pages', 'active_classes_wp_list_pages', 10, 2);
	function active_classes_wp_list_pages($menu){
		$menu = str_replace('current_page_item', 'current', $menu);
		return $menu;
	}
	
	
	// Comments layout
	function format_comment($comment, $args, $depth) {
    
		$GLOBALS['comment'] = $comment; ?>
       
        <li <?php comment_class("commentWrap"); ?> id="li-comment-<?php comment_ID() ?>">
				
			<div class="user-info">
				<div class="img">
					<?php echo get_avatar($comment, 74); ?>
				</div>
				<div class="info"><p class="name"><?php comment_author_link(); ?></p><p class="date"><?php comment_date(); ?></p></div>
			</div>
			<div class="comment">
				
				<?php if ($comment->comment_approved == '0'){ ?>
					<p><em><?php _e('Your comment is awaiting moderation', 'lifeline'); ?></em></p>
				<?php } ?>
				
				<?php comment_text(); ?>
				<?php comment_reply_link(array_merge(array('reply_text' => "Reply"), array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
			</div>
				
		<!-- wordpress will close the list item - </li> -->
		
	<?php 
	}
	
	// Sidebars
	if (function_exists('register_sidebar')) {
		register_sidebar(array(
			'name' => 'Homepage Widgets',
			'id'   => 'homepage-widgets',
			'description'   => 'These are widgets for the homepage.',
			'before_widget' => '',
			'after_widget'  => '',
			'before_title'  => '<h4>',
			'after_title'   => '</h4>'
		));
		register_sidebar(array(
			'name' => 'Blog Widgets',
			'id'   => 'blog-widgets',
			'description'   => 'These are widgets for the blog pages.',
			'before_widget' => '<div id="%1$s" class="widget %2$s fl col-260">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4>',
			'after_title'   => '</h4>'
		));
		register_sidebar(array(
			'name' => 'Page Widgets',
			'id'   => 'page-widgets',
			'description'   => 'These are widgets for the regular pages.',
			'before_widget' => '<div id="%1$s" class="widget %2$s fl col-260">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4>',
			'after_title'   => '</h4>'
		));
		register_sidebar(array(
			'name' => 'Portfolio Widgets',
			'id'   => 'portfolio-widgets',
			'description'   => 'These are widgets for the portfolio.',
			'before_widget' => '<div id="%1$s" class="widget %2$s fl col-260">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4>',
			'after_title'   => '</h4>'
		));
		register_sidebar(array(
			'name' => 'Footer Widgets',
			'id'   => 'footer-widgets',
			'description'   => 'These are widgets for the footer.',
			'before_widget' => '',
			'after_widget'  => '',
			'before_title'  => '<h4>',
			'after_title'   => '</h4>'
		));
		
		//widgetized pages
		
		$w_count = 0;
		
		$widgetized_pages = $wpdb->get_col($wpdb->prepare("SELECT meta_value FROM $wpdb->postmeta WHERE meta_key = 'page_widgetize' OR meta_key = 'post_widgetize' OR meta_key = 'portfolio_post_widgetize'"));
		
		if($widgetized_pages){
			
			foreach($widgetized_pages as $w_page){
				
				$w_count++;
				
				register_sidebar(array(
					'name' => $w_page,
					'id'   => 'll_widgetized_'.$w_count,
					'description'   => 'This is widget section you created.',
					'before_widget' => '',
					'after_widget'  => '',
					'before_title'  => '<h4>',
					'after_title'   => '</h4>'
				));
				
			}
			
		}
		
		
	}
	
	// Child pages on sidebar
	function ll_show_sibling_pages($ll_parent_id){
		$siblings = wp_list_pages('title_li=&child_of='.$ll_parent_id.'&echo=0&link_after=<span></span>');
		if ($siblings && $ll_parent_id != 0) {
			?><ul class="submenu"><?php
				echo $siblings;
			?></ul>
			<div class="hr noline"></div>
		<?php
		}
	}
	
	// Breadcrumbs
	function ll_show_breadcrumbs($post_id){
		
		$ll_breadcrumbs = ll_get_option('ll_breadcrumbs');
		if($ll_breadcrumbs == 'on'){
		
			if (!is_front_page() && !is_home()) {
				echo '
				<div id="breadcrumb">
					<ul>
						<li><a href="'.get_option('home').'">Home</a></li>';


				if (is_category() || is_single()) {
					
					if(get_post_type() == 'post'){
					
						$category = get_the_category();
						$ID = $category[0]->cat_ID;
						$blog_link = get_page_by_template('template-blog.php');
						echo '<li class="sep">&gt;</li><li><a href="'.$blog_link.'">Blog</a></li>';
						
					}
					
					if(get_post_type() == 'post'){
						echo '<li class="sep">&gt;</li><li>'.get_category_parents($ID, TRUE, FALSE).'</li>';
					}
					
				}
				if(is_single() || is_page()) {echo '<li class="sep">&gt;</li><li><span>'.get_the_title().'</span></li>';}
				if(is_tag()){ echo '<li class="sep">&gt;</li><li><span>Tag: '.single_tag_title('',FALSE).'</span></li>'; }
				if(is_404()){ echo '<li class="sep">&gt;</li><li><span>404 - Page not Found</span></li>'; }
				if(is_search()){ echo '<li class="sep">&gt;</li><li><span>Search</span></li>'; }
				if(is_year()){ echo '<li class="sep">&gt;</li><li><span>'.get_the_time('Y').'</span></li>'; }
			
				?>
					</ul>
				</div><!-- end #breadcrumb -->
				<?php
			}
			
		}
		
	}
	
	// Text limit
	function ll_text_limit($content, $limit = 30){

		$sub = '';
		$len = 0;
	
		foreach (explode(' ', $content) as $word)
		{
			$part = (($sub != '') ? ' ' : '') . $word;
			$sub .= $part;
			$len += strlen($part);

		if (strlen($sub) >= $limit)
		{
			break;
		}
		}

		return $sub . (($len < strlen($content)) ? '...' : '');
	}
	
	function ll_thickbox_first_image($images, $gallery_id){
			
		$images = do_shortcode($images);
		
		$count = 0;
		
		if(preg_match_all('!http://.+\.(?:jpe?g|png|gif)!Ui',$images,$matches)){
			
			foreach ($matches[0] as $img) {
				$count++;
				if($count == 1){
					$output = $img;
				}
			}
			
		}
		
		echo $output;
	
	}
	
	// Portfolio images thickbox
	function ll_thickbox_images($images, $gallery_id, $downsize = null){
		
		$output = '';
			
		$images = do_shortcode($images);
		
		$count = 0;
		
		if(preg_match_all('!http://.+\.(?:jpe?g|png|gif)!Ui',$images,$matches)){
			
			foreach ($matches[0] as $img) {
				$count++;
				if($count > 1){
					$output .= '<a href="'.$img.'" rel="'.$gallery_id.'" class="hidden"><img src="'.$img.'" /></a>';
				}
			}
			
		}
		
		echo $output;
		
	}
	
	// Portfolio first image
	function ll_thickbox_images_single($post_id, $images){
		
		$output = '';
			
		$images = do_shortcode($images);
		
		if(preg_match_all('!http://.+\.(?:jpe?g|png|gif)!Ui',$images,$matches)){
			
			foreach ($matches[0] as $img) {
				
				$thumbnail = wp_get_attachment_image_src(get_attachment_id_by_url($img), 'size_100x100');
				
				$output .= 
				'<li>
					<a class="fancy" href="'.$img.'" rel="gallery_'.$post_id.'">
						<img class="border" src="'.$thumbnail[0].'"  />
					</a>
				</li>';
		
			}
			
		}
		
		echo $output;

	}
	
	// Get attachment id by url
	function get_attachment_id_by_url($url){
		global $wpdb;
		return $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE guid = '".$url."'");
	}
	
	// Get attachment id by title
	function get_attachment_id_by_title($title){
		global $wpdb;
		return $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_title = '".$title."'");
	}
	
	// Get attachment id by filename
	function get_attachment_id_by_filename($filename){
		global $wpdb;
		return $wpdb->get_var("SELECT post_id FROM $wpdb->postmeta WHERE meta_key = '_wp_attached_file' AND meta_value LIKE '%".$filename."'");
	}
	
	// Get post id by name
	function get_post_id_by_name($name){
		global $wpdb;
		return $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_name = '".$name."'");
	}
	
	// Get post id by title
	function get_post_id_by_title($title){
		global $wpdb;
		return $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_title = '".$title."'");
	}
	
	// Get page by template usage
	function get_page_by_template($template){
		global $wpdb;
		$pages = $wpdb->get_row("SELECT post_id FROM $wpdb->postmeta WHERE meta_key='_wp_page_template' AND meta_value='$template'", ARRAY_A);
		return get_permalink($pages['post_id']);
	}
	
	function ll_get_option($option){
		global $options;
		if (get_option($option) === FALSE) {
			foreach($options as $opt){
				if(isset($opt['id']) && $opt['id'] == $option){
					$result = $opt['std'];
					break;
				}
			}
		}else{ 
			$result = get_option($option); 
		}
		return $result;
	}
	
	/*
	 * Resize images dynamically using wp built in functions
	 * Victor Teixeira
	 *
	 * php 5.2+
	 *
	 * Exemplo de uso:
	 * 
	 * <?php 
	 * $thumb = get_post_thumbnail_id(); 
	 * $image = vt_resize( $thumb, '', 140, 110, true );
	 * ?>
	 * <img src="<?php echo $image[url]; ?>" width="<?php echo $image[width]; ?>" height="<?php echo $image[height]; ?>" />
	 *
	 * @param int $attach_id
	 * @param string $img_url
	 * @param int $width
	 * @param int $height
	 * @param bool $crop
	 * @return array
	 */
	function vt_resize( $attach_id = null, $img_url = null, $width, $height, $crop = false ) {

		// this is an attachment, so we have the ID
		if ( $attach_id ) {
		
			$image_src = wp_get_attachment_image_src( $attach_id, 'full' );
			$file_path = get_attached_file( $attach_id );
		
		// this is not an attachment, let's use the image url
		} else if ( $img_url ) {
			
			$file_path = parse_url( $img_url );
			$file_path = $_SERVER['DOCUMENT_ROOT'] . $file_path['path'];
			
			//$file_path = ltrim( $file_path['path'], '/' );
			//$file_path = rtrim( ABSPATH, '/' ).$file_path['path'];
			
			$orig_size = getimagesize( $file_path );
			
			$image_src[0] = $img_url;
			$image_src[1] = $orig_size[0];
			$image_src[2] = $orig_size[1];
		}
		
		$file_info = pathinfo( $file_path );
		$extension = '.'. $file_info['extension'];

		// the image path without the extension
		$no_ext_path = $file_info['dirname'].'/'.$file_info['filename'];

		$cropped_img_path = $no_ext_path.'-'.$width.'x'.$height.$extension;

		// checking if the file size is larger than the target size
		// if it is smaller or the same size, stop right here and return
		if ( $image_src[1] > $width || $image_src[2] > $height ) {

			// the file is larger, check if the resized version already exists (for $crop = true but will also work for $crop = false if the sizes match)
			if ( file_exists( $cropped_img_path ) ) {

				$cropped_img_url = str_replace( basename( $image_src[0] ), basename( $cropped_img_path ), $image_src[0] );
				
				$vt_image = array (
					'url' => $cropped_img_url,
					'width' => $width,
					'height' => $height
				);
				
				return $vt_image;
			}

			// $crop = false
			if ( $crop == false ) {
			
				// calculate the size proportionaly
				$proportional_size = wp_constrain_dimensions( $image_src[1], $image_src[2], $width, $height );
				$resized_img_path = $no_ext_path.'-'.$proportional_size[0].'x'.$proportional_size[1].$extension;			

				// checking if the file already exists
				if ( file_exists( $resized_img_path ) ) {
				
					$resized_img_url = str_replace( basename( $image_src[0] ), basename( $resized_img_path ), $image_src[0] );

					$vt_image = array (
						'url' => $resized_img_url,
						'width' => $proportional_size[0],
						'height' => $proportional_size[1]
					);
					
					return $vt_image;
				}
			}

			// no cache files - let's finally resize it
			$new_img_path = image_resize( $file_path, $width, $height, $crop );
			$new_img_size = getimagesize( $new_img_path );
			$new_img = str_replace( basename( $image_src[0] ), basename( $new_img_path ), $image_src[0] );

			// resized output
			$vt_image = array (
				'url' => $new_img,
				'width' => $new_img_size[0],
				'height' => $new_img_size[1]
			);
			
			return $vt_image;
		}

		// default output - without resizing
		$vt_image = array (
			'url' => $image_src[0],
			'width' => $image_src[1],
			'height' => $image_src[2]
		);
		
		return $vt_image;
	}

	function remove_wpautop($content) { 
		$content = do_shortcode( shortcode_unautop($content) ); 
		$content = preg_replace( '#^<\/p>|^<br \/>|<p>$#', '', $content );
		$content = str_replace('<br />', '', $content);
		$content = str_replace('<p><div', '<div', $content);
		return $content;
	}
	
	//Shortcode in shortcode tag
	function sc_in_sc_tag($content){
		$content = str_replace('{', '[', $content);
		$content = str_replace('}', ']', $content);
		$content = do_shortcode($content);
		return $content;
	}
	
	/* ------------------- */
	/* Kriesi's pagination */
	/* ------------------- */
	
	function kriesi_pagination($pages = '', $range = 2){  
		$showitems = ($range * 2)+1;  

		global $paged;
		if(empty($paged)) $paged = 1;

		if($pages == ''){
			global $wp_query;
			$pages = $wp_query->max_num_pages;
			if(!$pages){
				$pages = 1;
			}
		}   

		if(1 != $pages){
			echo '
			<div id="page-nav" class="numbered-pagination">
				<ul>';
				if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<li><a href='".get_pagenum_link(1)."'><span>&laquo;</span></a></li>";
				if($paged > 1 && $showitems < $pages) echo "<li><a href='".get_pagenum_link($paged - 1)."'><span>&lsaquo;</span></a></li>";

				for ($i=1; $i <= $pages; $i++){
					if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems )){
					echo ($paged == $i)? "<li class='current'><a href='".get_pagenum_link($i)."' class='inactive' ><span>".$i."</span></a></li>":"<li><a href='".get_pagenum_link($i)."' class='inactive' ><span>".$i."</span></a></li>";
					}
				}

				if ($paged < $pages && $showitems < $pages) echo "<li><a href='".get_pagenum_link($paged + 1)."'><span>&rsaquo;</span></a></li>";  
				if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<li><a href='".get_pagenum_link($pages)."'><span>&raquo;</span></a></li>";
			echo '
				</ul>
			</div>';
		}
	}
		
?>