<?php
/*
	Meta boxes
*/
	
/* ------------- DECLARING METABOXES BELLOW -------------- */

	$ll_meta_box = array();
	$ll_meta_box_fields = array();
		
	$ll_meta_box[] = array( 'id'         => 'portfolio_meta',
							'title'      => 'Portfolio Item Options',
							'textdomain' => 'lifeline',
							'post_type'  => 'portfoliocustom',
							'position'   => 'side');
							
	$ll_meta_box[] = array( 'id'         => 'page_meta_widgetize',
							'title'      => 'Widgetize this',
							'textdomain' => 'lifeline',
							'post_type'  => 'page',
							'position'   => 'side');
							
	$ll_meta_box[] = array( 'id'         => 'portfolio_meta_options',
							'title'      => 'Portfolio Options',
							'textdomain' => 'lifeline',
							'post_type'  => 'page',
							'position'   => 'side');
							
	$ll_meta_box[] = array( 'id'         => 'post_meta_widgetize',
							'title'      => 'Widgetize this',
							'textdomain' => 'lifeline',
							'post_type'  => 'post',
							'position'   => 'side');
							
	$ll_meta_box[] = array( 'id'         => 'portfolio_meta_widgetize',
							'title'      => 'Widgetize this',
							'textdomain' => 'lifeline',
							'post_type'  => 'portfoliocustom',
							'position'   => 'side');
							
	$ll_meta_box[] = array( 'id'         => 'page_meta',
							'title'      => 'Page options',
							'textdomain' => 'lifeline',
							'post_type'  => 'page',
							'position'   => 'side');
	
	$ll_meta_box_fields['portfolio_meta'][] = array('name'    => 'portfolio_images',
													'title'   => __('Images', 'lifeline'),
													'descr'   => __('Separate the image urls with space or new line. You can use &#91;uploads_dir&#93; for the first part of the url if you want. Like this &#91;uploads_dir&#93;/2010/12/image.jpg', 'lifeline'),
													'type'    => 'textarea',
													'default' => '');
												  
	$ll_meta_box_fields['portfolio_meta'][] = array('name'    => 'portfolio_link',
													'title'   => __('Link To Project', 'lifeline'),
													'descr'   => __('The external link to the project.', 'lifeline'),
													'type'    => 'text',
													'default' => '');
												  
	$ll_meta_box_fields['portfolio_meta'][] = array('name'    => 'portfolio_video',
													'title'   => __('Video link', 'lifeline'),
													'descr'   => __('Enter the video url (vimeo or youtube) if you want it in the lightbox. Ex. http://vimeo.com/12911958', 'lifeline'),
													'type'    => 'text',
													'default' => '');
													
	$ll_meta_box_fields['portfolio_meta'][] = array('name'    => 'portfolio_layout',
													'title'   => __('Layout', 'lifeline'),
													'descr'   => __('Choose which layout do you want for this portfolio item post.', 'lifeline'),
													'type'    => 'select',
													'default' => '',
													'options' => array('wsidebar' => 'Content + Sidebar', 'fullwidth' => 'Full Width'));
													
	$ll_meta_box_fields['page_meta_widgetize'][] = array('name'    => 'page_widgetize',
														 'title'   => __('Widgetize page', 'lifeline'),
														 'descr'   => __('If you want to widgetize this page just type in the widget section name bellow. Leave blank if not.', 'lifeline'),
														 'type'    => 'text',
														 'default' => '');
	
	$ll_meta_box_fields['post_meta_widgetize'][] = array('name'    => 'post_widgetize',
														 'title'   => __('Widgetize post', 'lifeline'),
														 'descr'   => __('If you want to widgetize this post just type in the widget section name bellow. Leave blank if not.', 'lifeline'),
														 'type'    => 'text',
														 'default' => '');
														 
	$ll_meta_box_fields['portfolio_meta_widgetize'][] = array( 'name'    => 'portfolio_post_widgetize',
																	'title'   => __('Widgetize portfolio post'),
																	'descr'   => __('If you want to widgetize this portfolio post just type in the widget section name bellow. Leave blank if not.', 'lifeline'),
																	'type'    => 'text',
																	'default' => '');
																	
	$ll_meta_box_fields['page_meta'][] = array( 'name'	=> 'show_page_title',
												'title'   => __('Show page title', 'lifeline'),
												'descr'   => __('If you don\'t want to show the title on the page, select no. For "Default Templaet", "Page - Left Sidebar" and "Page - Right Sidebar".', 'lifeline'),
												'type'    => 'radio',
												'default' => 'yes');
												
												
	$ll_meta_box_fields['portfolio_meta_options'][] = array('name'	=> 'portfolio_category',
															'title'   => __('Portfolio categories', 'lifeline'),
															'descr'   => __('Which categories should be included. If none selected all categories will be included. This is just if you\'re creating a portfolio page.', 'lifeline'),
															'type'    => 'select_multiple',
															'default' => 'show_all');
															
	$ll_meta_box_fields['portfolio_meta_options'][] = array('name'	=> 'portfolio_filter',
															'title'   => __('Portfolio filter', 'lifeline'),
															'descr'   => __('Show the animated filtering options. Works with "Portfolio - 3 Columns" and "Portfolio With Sidebar" templates.', 'lifeline'),
															'type'    => 'radio',
															'default' => 'no');
												  
/* ------------- DECLARING METABOXES ABOVE -------------- */

/* Actions, actions, actions */
add_action('admin_init', 'll_meta_box_add', 1);
add_action('save_post', 'll_meta_box_save');

/* What, where, how? */
function ll_meta_box_add(){
	
	global $ll_meta_box, $ll_meta_box_fields;
	
	foreach($ll_meta_box as $instance){
		add_meta_box($instance['id'], __($instance['title'], $instance['textdomain']), 'll_meta_box_output', $instance['post_type'], $instance['position'], 0, $instance);
	}
}

/* What to show? */
function ll_meta_box_output($post, $meta_box){
	
	global $ll_meta_box, $ll_meta_box_fields;
	
	$meta_box_name = $meta_box['id'];
	$meta_box_fields[] = $ll_meta_box_fields[$meta_box_name];
	
	foreach($meta_box_fields as $fields){
		
		foreach($fields as $field){
	
			$value = get_post_meta($post->ID, $field['name']);
			
			if(!empty($value)){
				$value = $value[0];
			}else{
				$value = $field['default'];
			}
			
			?>
			<p>
				<strong><?php echo $field['title']; ?></strong>
				<?php
					if($field['descr'] != ''){
					?>
						<br /><small><?php echo $field['descr']; ?></small>
					<?php
					}
				?>
			</p>
			<?php
			
			if($field['type'] == 'textarea'){
				?>
				<p>
					<textarea name="<?php echo $field['name']; ?>" rows="10" style="width:100%;"><?php echo $value; ?></textarea>
				</p>	
				<?php
			}elseif($field['type'] == 'text'){
				?>
				<p>
					<input type="text" name="<?php echo $field['name']; ?>" class="widefat" style="width:98%;" value="<?php echo $value; ?>" />
				</p>	
				<?php
			}elseif($field['type'] == 'radio'){
				?>
				<p>
					<?php _e('Yes', 'lifeline'); ?><input type="radio" name="<?php echo $field['name']; ?>" value="yes" <?php if($value == 'yes'){ ?>checked<?php } ?>  />
					<?php _e('No', 'lifeline'); ?><input type="radio" name="<?php echo $field['name']; ?>" value="no" <?php if($value == 'no'){ ?>checked<?php } ?> />
				</p>	
				<?php
			}elseif($field['type'] == 'select'){
				?>
				<select name="<?php echo $field['name']; ?>">
					<?php
					foreach($field['options'] as $key => $val){
						?><option value="<?php echo $key; ?>" <?php if($value == $key){ ?>selected<?php } ?>><?php echo $val; ?></option><?php
					}
					?>
				</select>
				<?php
			}elseif($field['type'] == 'select_multiple'){
				
				if(strpos($value, ',') !== false) {
					$selected_cats = explode(',', $value);
				}else{
					$selected_cats[] = $value;
				}
				
				$categories =  get_categories('taxonomy=portfolio_type'); 
				foreach($categories as $cat){
					?><p><input type="checkbox" name="<?php echo $cat->category_nicename; ?>" value="<?php echo $cat->term_id ?>" <?php if(in_array($cat->term_id, $selected_cats)){ echo "checked"; } ?> /> <?php echo $cat->name; ?></p><?php
				}
				
				?><input type="hidden" name="<?php echo $field['name']; ?>" class="widefat" style="width:98%;" value="<?php echo $value; ?>" /><?php
				
			}
			
			?><br /><?php
		
		}
		
	}
  
}

/* Save the darn thing */
function ll_meta_box_save($post_id){

	global $ll_meta_box, $ll_meta_box_fields;

	// If the save is triggered by the autosave WordPress feature don't continue executing the script
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) 
		return $post_id;
		

	// Everything went well so let's save the data and get the heck out of here
	
	foreach($ll_meta_box_fields as $fields){
			
		foreach($fields as $field){
			
			$name = $field['name'];
			
			if(isset($_POST[$name])){
			
				if($field['type'] == 'select_multiple'){
					$selected_cats = '';
					$categories =  get_categories('taxonomy=portfolio_type'); 
					foreach($categories as $cat){
						if(isset($_POST[$cat->category_nicename])){
							$selected_cats .= ','.$_POST[$cat->category_nicename];
						}
					}
					$selected_cats = preg_replace('/,/', '', $selected_cats, 1);
					if(!empty($selected_cats)){ $value = $selected_cats; }else{ $value = $_POST[$name]; }
				}else{
					$value = $_POST[$name];
				}
				
				if (get_post_meta($post_id, $name) == '') { add_post_meta($post_id, $name, $value, true); }

				elseif ($value != get_post_meta($post_id, $name, true)) { update_post_meta($post_id, $name, $value); }

				elseif ($value == '') { delete_post_meta($post_id, $name, get_post_meta($post_id, $name, true)); }
				
			
			}
		
		}
		
	}
}
?>