<?php
/**
 * Plugin Name: LifeLine - Page - Tweet
 * Description: Displaying latest tweet and a link to twitter account.
 * Version: 1.0
 */

add_action('widgets_init', 'page_tweet_and_link_load_widget');

function page_tweet_and_link_load_widget() {
	register_widget('Lifeline_Page_Tweet');
}

class Lifeline_Page_Tweet extends WP_Widget {

	function Lifeline_Page_Tweet() {
		
		/* Widget settings. */
		$widget_ops = array('classname' => '', 'description' => __('Displaying latest tweet and a button link to twitter account. Location: Page', 'lifeline'));

		/* Widget control settings. */
		$control_ops = array('width' => 300, 'height' => 350, 'id_base' => 'lifeline-tweet-and-link-widget');

		/* Create the widget. */
		$this->WP_Widget('lifeline-tweet-and-link-widget', __('LL - Latest Tweet', 'lifeline'), $widget_ops, $control_ops);
		
	}

	function widget($args, $instance) {
		
		extract($args);
		
		if($instance['separator'] == 'invisible'){ 
			$separator = '[separator]';
		}else if($instance['separator'] == 'line'){ 
			$separator = '[separator line="yes"]';
		}else{
			$separator = '';
		}
		
		echo do_shortcode("[tweet profile='".$instance['profile']."']");
		echo do_shortcode($separator);
		
	}

	/**
	 * Update the widget settings.
	 */
	function update($new_instance, $old_instance) {
		$instance = $old_instance;

		/* Strip tags to remove HTML (important for text inputs). */
		$instance['separator'] = strip_tags($new_instance['separator']);
		$instance['profile'] = $new_instance['profile'];

		return $instance;
	}

	function form($instance) {

		/* Set up some default widget settings. */
		$defaults = array('separator' => 'invisible', 'profile' => 'jvanoel');
		$instance = wp_parse_args((array) $instance, $defaults); 
		
		?>

		<!-- Widget settings output -->
		<p>
			<label for="<?php echo $this->get_field_id( 'profile' ); ?>"><strong>-<?php _e('Profile Name:', 'lifeline'); ?>-</strong></label><br />
			<small>Your twitter profile name.</small>
		</p>
		<p>
			<input id="<?php echo $this->get_field_id( 'profile' ); ?>" name="<?php echo $this->get_field_name( 'profile' ); ?>" value="<?php echo $instance['profile']; ?>" class="widefat" />
		</p>
		
		<br />
		
		<p>
			<label for="<?php echo $this->get_field_id( 'separator' ); ?>"><strong>-<?php _e('Separator:', 'lifeline'); ?>-</strong></label><br />
			<small>Separator clears float and makes room between content sections. If you don't want it choose "Dont' separate"</small>
		</p>
		
		<p>
			<select id="<?php echo $this->get_field_id( 'separator' ); ?>" name="<?php echo $this->get_field_name( 'separator' ); ?>" class="widefat" style="width:100%;">
				<option value="invisible" <?php if ( 'invisible' == $instance['separator'] ) echo 'selected="selected"'; ?>>Invisibile</option>
				<option value="line" <?php if ( 'line' == $instance['separator'] ) echo 'selected="selected"'; ?>>Line</option>
				<option value="no" <?php if ( 'no' == $instance['separator'] ) echo 'selected="selected"'; ?>>Don't separate</option>
			</select>
		</p>
	
	<?php
	}
}

?>