<?php
/**
 * Plugin Name: LifeLine - Separator
 * Description: Separates content parts.
 * Version: 1.0
 */

add_action( 'widgets_init', 'separator_load_widget' );

function separator_load_widget() {
	register_widget( 'Lifeline_Separator' );
}

class Lifeline_Separator extends WP_Widget {

	function Lifeline_Separator() {
		
		/* Widget settings. */
		$widget_ops = array( 'classname' => '', 'description' => __('Separating content parts. With and without a line. Location: Page', 'lifeline') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'lifeline-separator-widget' );

		/* Create the widget. */
		$this->WP_Widget( 'lifeline-separator-widget', __('LL - Separator', 'lifeline'), $widget_ops, $control_ops );
		
	}

	function widget( $args, $instance ) {
		
		extract( $args );

		/* Our variables from the widget settings. */		
		$type = $instance['type'];
		
		if($type == 'line'){ $line = 'line="yes"'; }else{ $line = ''; }
		
		echo do_shortcode("[separator $line]");
		
	}

	/**
	 * Update the widget settings.
	 */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['type'] = strip_tags( $new_instance['type'] );

		return $instance;
	}

	function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'type' => 'invisible');
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'type' ); ?>"><?php _e('Type:', 'lifeline'); ?></label> 
			<select id="<?php echo $this->get_field_id( 'type' ); ?>" name="<?php echo $this->get_field_name( 'type' ); ?>" class="widefat" style="width:100%;">
				<option value="invisible" <?php if ( 'invisible' == $instance['type'] ) echo 'selected="selected"'; ?>>Invisible</option>
				<option value="line" <?php if ( 'line' == $instance['type'] ) echo 'selected="selected"'; ?>>Line</option>
			</select>
		</p>
		
	<?php
	}
}

?>