<?php
/**
 * Plugin Name: LifeLine - Columns
 * Description: Displaying columns.
 * Version: 1.0
 */

add_action( 'widgets_init', 'social_load_widget' );

function social_load_widget() {
	register_widget( 'Lifeline_Social' );
}

class Lifeline_Social extends WP_Widget {

	function Lifeline_Social() {
		
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'lifeline-social', 'description' => __('Social. Location: Anywhere', 'lifeline') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'lifeline-social-widget' );

		/* Create the widget. */
		$this->WP_Widget( 'lifeline-social-widget', __('LL - Social Links', 'lifeline'), $widget_ops, $control_ops );
		
	}

	function widget( $args, $instance ) {
		
		extract( $args );

		/* Our variables from the widget settings. */
		$title = apply_filters('widget_title', $instance['title'] );
	
		/* Before widget (defined by themes). */
		echo $before_widget;

		/* Display the widget title if one was input (before and after defined by themes). */

		echo do_shortcode('[one_third]'.$before_title . $title . $after_title.'[social_links][/one_third]');
		
		/* After widget (defined by themes). */
		echo $after_widget;
	}

	/**
	 * Update the widget settings.
	 */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		

		return $instance;
	}

	function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => __('Social', 'lifeline'));
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget settings output -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><strong>-<?php _e('Title:', 'lifeline'); ?>-</strong></label><br />
			<small>Title will show up as "heading" for the widget in the sidebar</small>
		</p>
		<p>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" />
		</p>
		
		<br />
		
		
	<?php
	}
}

?>