<!DOCTYPE html >
<html <?php language_attributes(); ?>>

<head>
	
	<?php include TEMPLATEPATH.'/jwpanel/jwpanel-get.php'; ?>
	
	<meta charset="<?php bloginfo('charset'); ?>" />
	
	<?php if (is_search()) { ?>
	   <meta name="robots" content="noindex, nofollow" /> 
	<?php } ?>

	<title>
		<?php
		if (function_exists('is_tag') && is_tag()){
			single_tag_title("Tag Archive for &quot;"); echo '&quot; - ';
		}elseif (is_archive()){
			wp_title(''); echo ' Archive - ';
		}elseif (is_search()){
			echo 'Search for &quot;'.wp_specialchars($s).'&quot; - ';
		}elseif (!(is_404()) && (is_single()) || (is_page()) && !is_front_page()) {
			wp_title(''); echo ' - ';
		}elseif (is_404()){
			echo 'Not Found - ';
		}
		
		if (is_home() || is_front_page()){
			bloginfo('name'); echo ' - '; bloginfo('description');
		}else{
			bloginfo('name'); 
		}
		
		if ($paged>1) {
			echo ' - page '. $paged; 
		}
		?>
	</title>
	
	<?php if($ll_favicon != ''){ ?>
	
		<link rel="shortcut icon" href="<?php echo $ll_favicon; ?>" type="image/x-icon" />
		
	<?php }else{ ?>
	
		<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
	
	<?php } ?>
	
	<!-- main css (style.css) -->
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" />
	
	<!-- skin css -->
	
	<?php
	switch($ll_color_style){
		
		case 'orange':
			$skin = 'skin-1';
		break;
		
		case 'blue':
			$skin = 'skin-2';
		break;
		
		case 'green':
			$skin = 'skin-3';
		break;
		
		case 'black':
			$skin = 'skin-4';
		break;
		
	}
	?>
	
	<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/<?php echo $skin; ?>.css" type="text/css" />	
	
	<?php if($ll_heading_font != 'myriad'){ ?>
		<link href='http://fonts.googleapis.com/css?family=<?php echo $ll_heading_font; ?>:regular,italic,bold,bolditalic' rel='stylesheet' type='text/css'>
		<style type="text/css">
			h1, h2, h3, h4, h5, h6, .subtitle, .our-people .job-title { font-family:"<?php echo $ll_heading_font; ?>"; }
		</style>
	<?php } ?>
	
	<!-- fancybox css -->
	<link href="<?php bloginfo('template_url'); ?>/css/jquery.fancybox-1.3.1.css" rel="stylesheet" type="text/css" media="screen" />
	
	<!-- Bugfixes for IE -->
	<!--[if IE]><link href="<?php bloginfo('template_url'); ?>/css/ie.css" rel="stylesheet" type="text/css"><![endif]-->
	
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
	
	<?php wp_head(); ?>
	
	<script type="text/javascript">
		
		<?php if($ll_heading_font == 'myriad'){ ?>
			Cufon.replace('h1, h2, h3, h4, h5, h6, .subtitle, .our-people .job-title', {
				hover: true
			});				
		<?php } ?>
		
		<!-- Nivo slider options -->
		jQuery(window).load(function($) {
			
			jQuery('.carousel').each(function(){
				
				var lowest_height = jQuery(this).find('img').height();
				var nivo_holder = jQuery(this).find('.slider');
				
				if(jQuery(this).not('.full')){
					lowest_height = lowest_height - 1;
				}
				
				var effect_ = 'random'
				
				if(nivo_holder.hasClass('effect-sliceDown')){
					effect_ = 'sliceDown';
				}else if(nivo_holder.hasClass('effect-sliceDownLeft')){
					effect_ = 'sliceDownLeft';
				}else if(nivo_holder.hasClass('effect-sliceUp')){
					effect_ = 'sliceUp';
				}else if(nivo_holder.hasClass('effect-sliceUpLeft')){
					effect_ = 'sliceUpLeft';
				}else if(nivo_holder.hasClass('effect-sliceUpDown')){
					effect_ = 'sliceUpDown';
				}else if(nivo_holder.hasClass('effect-sliceUpDownLeft')){
					effect_ = 'sliceUpDownLeft';
				}else if(nivo_holder.hasClass('effect-fold')){
					effect_ = 'fold';
				}else if(nivo_holder.hasClass('effect-fade')){
					effect_ = 'fade';
				}
				
				nivo_holder.nivoSlider({
					effect: effect_,
					slices:15,
					animSpeed:500,
					pauseTime:5000,
					controlNav:true
				});
				
				//Vertically align left and right arrows
				var anchor_nav_height = jQuery(this).find('a.nivo-prevNav').height()/2;
				var top_offset_nav = lowest_height/2-anchor_nav_height;
				jQuery(this).find('a.nivo-prevNav, a.nivo-nextNav').css({ 'top': top_offset_nav });
				
				//Horizontally align nivoControl
				var container_width = jQuery(this).width();
				var control_width = jQuery(this).find('.nivo-controlNav').width();
				var newLeftPos = container_width - (container_width/2 + control_width/2);
				jQuery(this).find('.nivo-controlNav').css({ 'left' : newLeftPos });
				
				jQuery(this).find('.slider-background').height(lowest_height);
				jQuery(this).parent().find('.slider').show();
				
			});
			
		});

		jQuery(function($){
			
			//Hide nivo holder
			$('.nivo-holder').css({ opacity : 0});
			
			$('.loopedSlider').loopedSlider({
				autoHeight: 300,
				containerClick: false
			});
			
			
			$('.twitterfeed').each(function(){
				var profile = $(this).find('.twitter').attr('id');
				var this_ = $(this).find('.twitter');
				getTwitters(profile, {
					id: profile, 
					count: 1, 
					enableLinks: true, 
					ignoreReplies: false,
					template: '<span class="twitterPrefix"><p class="twitterStatus">%text% <em class="twitterTime"><a href="http://twitter.com/%user_screen_name%/statuses/%id%">- %time%</a></em><span class="username"> - @ <a href="http://twitter.com/%user_screen_name%/statuses/%id%">%user_screen_name%</a></span></p><a href="http://twitter.com/%user_screen_name%" class="btn grey"><span>All tweets</span></a>',
					newwindow: true
				});
			});
			
		});
	</script>
	
</head>

<?php $body_class = ''; ?>

<?php if($ll_top_bar == 'off'){ $body_class .= 'no-top '; } ?>

<?php if($ll_heading_font == 'myriad'){ $body_class .= 'myriad '; } ?>

<body <?php body_class($body_class); ?>>
	
	<div id="wrapper">

		<div id="topWrap">
			
			<?php if($ll_top_bar == 'on'){ ?>
			
				<div id="top">
					
					<?php get_search_form(); ?>
					
					<div id="miscMenu">
						
						<?php 
						
							if (function_exists('wp_nav_menu')){ 
								wp_nav_menu(array('container_class' => '', 'menu_class' => '', 'theme_location' => 'top-nav', 'link_before' => '<span>', 'link_after' => '</span>'));
							} 
							
						?>
						
					</div> <!-- end miscMenu -->
				</div> <!-- end top -->
				
			<?php } ?>
			
			<div id="logo">
				
				<?php if($ll_logo_textual == 'on'){ ?>
					
					<h1><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h1>
					
				<?php }else{ ?>
				
					<?php if($ll_logo_image != ''){ $logo_img = $ll_logo_image; }else{ $logo_img = get_bloginfo('template_url').'/images/general/logo.png'; } ?> 
					<a href="<?php echo home_url(); ?>"><img src="<?php echo $logo_img; ?>" alt="" /></a>
					
				<?php } ?>
				
			</div>
			<div id="mainMenu">
				
				<?php 
					
					if (function_exists('wp_nav_menu')){ 
						wp_nav_menu(array('container_class' => '', 'menu_class' => '', 'theme_location' => 'main-nav', 'link_before' => '<span>', 'link_after' => '</span>'));
					} 
					
				?>
				
			</div><!-- end mainMenu -->
		</div><!-- end topWrap -->