jQuery(document).ready(function($){
	
	/* Color the custom widets */
	$('#available-widgets [id*=lifeline] .widget-top').addClass('lifeline-widget');
	
	/* ------- Slider widget - Insert images UI --------- */
	
	/* Generate the added image links for the process */
	function generate_img_links(the_container){
		
		var slider_images = the_container.find('.slider-images');
		var output = '';
		var slide_img;
		var slide_link;
		var slide_link_type;
		var slide_caption;
		
		$(slider_images).find('li').each(function(){
			slide_img = $(this).find('img').attr('alt');
			slide_link = $(this).find('input.slide-link').val();
			slide_link_type = $(this).find('input.slide-link-type').val();
			slide_caption = $(this).find('input.slide-caption').val();
			
			output = output + '[slide link="' + slide_link + '" link_type="' + slide_link_type + '" caption="' + slide_caption + '"]' + slide_img +'[/slide] ';
		});
		
		the_container.find('p.slider-textarea-container textarea').val(output);
		
	}
	
	/* Initiate the sortable */
	$('.slider-images ul').each(function(){
		var the_container = $(this).parents('.widget-inside');
		$(this).sortable({
			stop: function(event, ui) { generate_img_links(the_container); },
			placeholder: "ui-state-highlight"
		});
	});
	
	/* Switch to media lib listing */
	$('.switch-to-media-lib').live('click', function(e){
		
		e.preventDefault();
		
		$(this).removeClass('switch-to-media-lib').addClass('switch-to-added-images').html('<small>&larr; back to managing</small>');
		
		var the_container = $(this).parents('.widget-inside');
		var slider_images = the_container.find('.slider-images');
		var slider_medialib = the_container.find('.slider-add-images');
		
		if(slider_medialib.find('.pager').length == 0){
			slider_medialib.find('ul').paginate();
		}
		
		slider_images.fadeOut(200, function(){
			slider_medialib.fadeIn(200);
		});
		
	});
	
	/* Switch to added images listing */
	$('.switch-to-added-images').live('click', function(e){
		
		e.preventDefault();
		
		$(this).removeClass('switch-to-added-images').addClass('switch-to-media-lib').html('<small>+ insert images</small>');
		
		var the_container = $(this).parents('.widget-inside');
		var slider_images = the_container.find('.slider-images');
		var slider_medialib = the_container.find('.slider-add-images');
		
		slider_medialib.fadeOut(200, function(){
			slider_images.fadeIn(200);
		});
		
	});
	
	/* Insert image */
	$('.slider-add-images li:not(.added)').live('click', function(){
		
		$(this).addClass('added');
		
		var the_container = $(this).parents('.widget-inside');
		var slider_images = the_container.find('.slider-images');
		var slider_medialib = the_container.find('.slider-add-images');
		
		var thumbnail_url = $(this).find('img').attr('src');
		var image_url = $(this).find('img').attr('alt');
		var size_text = $(this).find('.img-size').html();
		
		slider_images.find('ul').append('<li><img src="'+ thumbnail_url +'" alt="'+ image_url +'" /><span class="img-size">'+ size_text +'</span><a class="img-edit"></a><a class="img-remove"></a><input type="hidden" class="slide-link" /><input type="hidden" class="slide-link-type" /><input class="slide-caption" type="hidden" value="" /></li>');
		
		generate_img_links(the_container);
		
	});
	
	/* Remove image (from media lib listing) */
	$('.slider-add-images li.added').live('click', function(){
		
		$(this).removeClass('added');
		
		var the_container = $(this).parents('.widget-inside');
		var slider_images = the_container.find('.slider-images');
		
		var img_url = $(this).find('img').attr('alt');
		
		slider_images.find('img[alt=' + img_url + ']').parents('li').remove(); 
		
		generate_img_links(the_container);
		
	});
	
	/* Remove image (from the added images listing) */
	$('.slider-images .img-remove').live('click', function(){
		
		var the_container = $(this).parents('.widget-inside');
		var slider_medialib = the_container.find('.slider-add-images');
		
		var img_url = $(this).parents('li').find('img').attr('alt');
		
		slider_medialib.find('img[alt=' + img_url + ']').parents('li').removeClass('added'); 
		
		$(this).parents('li').fadeOut(200, function(){
			$(this).remove();
			generate_img_links(the_container);
		});
		
	});
	
	/* Edit link info for slides */
	$('.slider-images .img-edit').live('click', function(){
		
		$(this).parents('li').addClass('editing');
		
		//get elements
		var the_container = $(this).parents('.widget-inside');
		var slider_images = the_container.find('.slider-images');
		var slider_medialib = the_container.find('.slider-add-images');
		var slider_edit = the_container.find('.slider-edit-image');
		var slide_active = slider_images.find('li.editing');
		var slide_thumb = slide_active.find('img').attr('src');
		
		//set values
		slider_edit.find('.edit-image-thumb').attr('src', slide_thumb);
		slider_edit.find('input[name=edit_image_link]').val(slide_active.find('.slide-link').val());
		slider_edit.find('input[name=edit_image_caption]').val(slide_active.find('.slide-caption').val());
		slider_edit.find('input[name=edit_image_link_type][value=' + slide_active.find('.slide-link-type').val() + ']').click();
		
		//finish up
		slider_images.fadeOut(200, function(){
			slider_edit.fadeIn(200);
		});
		
	});
	
	$('.slider-edit-image .edit-image-save').live('click', function(e){
		
		e.preventDefault();
		
		//get elements
		var the_container = $(this).parents('.widget-inside');
		var slider_images = the_container.find('.slider-images');
		var slider_medialib = the_container.find('.slider-add-images');
		var slider_edit = the_container.find('.slider-edit-image');
		var slide_active = slider_images.find('li.editing');
		
		//get values
		var slide_link = slider_edit.find('input[name=edit_image_link]').val();
		var slide_link_type = slider_edit.find('input:radio[name=edit_image_link_type]:checked').val();
		var slide_link_caption = slider_edit.find('input[name=edit_image_caption]').val();
		
		//set values
		slide_active.find('.slide-link').val(slide_link);
		slide_active.find('.slide-link-type').val(slide_link_type);
		slide_active.find('.slide-caption').val(slide_link_caption);
		
		//finish up
		slide_active.removeClass('editing');
		slider_edit.fadeOut(200, function(){
			slider_images.fadeIn(200);
		});
		
		generate_img_links(the_container);
		
	});
	
	$('.slider-edit-image .edit-image-cancel').live('click', function(e){
		
		e.preventDefault();
		
		//get elements
		var the_container = $(this).parents('.widget-inside');
		var slider_images = the_container.find('.slider-images');
		var slider_medialib = the_container.find('.slider-add-images');
		var slider_edit = the_container.find('.slider-edit-image');
		var slide_active = slider_images.find('li.editing');
		
		slide_active.removeClass('editing');
		
		slider_edit.fadeOut(200, function(){
			slider_images.fadeIn(200);
		});
		
	});
	
});