<?php

/*
	Admin Framework
*/


/* Add css file */
function ll_theme_options_style() {
   ?><link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/jwpanel/jwpanel-style.css" type="text/css" /><?php
}
add_action('admin_head', 'll_theme_options_style');


/* Add javascript file */
if(is_admin()){
	wp_register_script('theme_options_js', (get_bloginfo('template_url').'/jwpanel/jwpanel-js.js'), false);
	wp_enqueue_script('theme_options_js');
}


/* THE FRAMEWORK */

function ll_add_admin() {
 
	global $themename, $shortname, $options;
	 
	if (isset($_GET['page']) && $_GET['page'] == basename(__FILE__)) {
		
		
		//Save or Reset
		if (isset($_REQUEST['action']) && 'save' == $_REQUEST['action']){
			
			//Loop the options, cross reference the current and the submitted values, and save if they're different
			foreach ($options as $option){
				
				$the_value = stripslashes($_REQUEST[$option['id']]);
				
				if(isset($_REQUEST[$option['id']])){ update_option($option['id'], $the_value); }else{ delete_option($option['id']); } 
				
			}
			
			//Redirect to the theme options page
			header("Location: admin.php?page=jwpanel-framework.php&saved=true");
			
			//Chuck Norris
			die;
		 
		}else if(isset($_REQUEST['action']) && 'reset' == $_REQUEST['action']) {
			
			//Loop the options and delete them (setting the default values will happen on next page load)
			foreach ($options as $option) {
				delete_option($option['id']); 
			}
			
			//Redirect to the theme options page
			header("Location: admin.php?page=jwpanel-framework.php&reset=true");
			
			//Steven Seagal
			die;
		 
		}
	}
	
	//Add the theme options page
	add_menu_page($themename." Options", "".$themename." Options", 'edit_themes', basename(__FILE__), 'll_admin', false, 30);
	
}


function ll_admin() {
 
	global $themename, $shortname, $options, $jwp_links;
	 
	//Show Notification (after save or reset)
	if (isset($_REQUEST['saved']) && $_REQUEST['saved']) $jwpanel_notification = 'Settings saved succesfuly';
	if (isset($_REQUEST['reset']) && $_REQUEST['reset']) $jwpanel_notification = 'Settings reseted to default';
	
	//The layout is cooking bellow
	
	$menu = '';
	$output = '';
	$section_count = 0;
	
	//Loop the options and depending on the type set a special layout
	foreach ($options as $option){
		
		if(isset($option['title'])){		
			$title = $option['title'];
		}
		
		if(isset($option['desc'])){
			$desc = $option['desc'];
		}
				
		switch ($option['type']){
			
			//Section open
			case "open":
			
				$section_count++;
				
				$output .= '<div class="jwpanel-section" id="jwpanel-content-'.$section_count.'">';
				
				$menu .= '<li><a href="#jwpanel-content-'.$section_count.'">'.$option['title'].'</a></li>';
			
			break;
			
			//Section close
			case "close":
			
				$output .= '</div>';
			
			break;
			
			/* The above was for layout manipulation, now the options come */
			
			// Regular text field
			case 'text':
			
				//Get values
				$val = $option['std'];
				$std = get_option($option['id']);
				if($std != '') { $val = $std; };
				
				$output .= '
				<div class="jwpanel-option">
							
					<label>'.$title.'<small>'.$desc.'</small></label>
					<input type="text" name="'.$option['id'].'" id="'.$option['id'].'" value="'.$val.'" />
					
				</div><!-- .jwpanel-option -->';
				
			
			break;
			
			// On and Off switch
			case 'switch':
			
				$title = $option['title'];
				$f_id = $option['id'];
				
				$val = $option['std'];
				
				$std = get_option($option['id']);
				if($std != '') { $val = $std; };
				
				$output .= '
				<div class="jwpanel-option">
							
					<label>'.$title.'<small>'.$desc.'</small></label>
					<a href="#" class="jwpanel-switch '.$val.'"></a>
					<input type="hidden" name="'.$f_id.'" value="'.$val.'" />
					
				</div><!-- .jwpanel-option -->';
			
			break;
			
			//Multiple line text field (textarea)
			case 'textarea':
			
				$val = $option['std'];
				$std = get_option($option['id']);
				if($std != '') { $val = $std; };
				
				$output .= '
				<div class="jwpanel-option">
							
					<label>'.$title.'<small>'.$desc.'</small></label>
					<textarea name="'.$option['id'].'">'.$val.'</textarea>
					
				</div><!-- .jwpanel-option -->';
			
			break;
 
			case 'select':
			
				//select
				
				$val = $option['std'];
				$std = get_option($option['id']);
				if($std != '') { $val = $std; };
				
				$output .= '
				<div class="jwpanel-option jwpanel-option-select">
							
					<label>'.$title.'<small>'.$desc.'</small></label>
					
					<div class="jwpanel-select">
						
						<span class="jwpanel-select-switch"></span>
						<span class="jwpanel-select-value">'.$val.'</span>
						<div class="jwpanel-select-options">
							<ul>';
							
								foreach ($option['optns'] as $key => $value) { 
									if ($val == $value) { $option_additional = 'id="'.$value.'" class="current-option"'; } else { $option_additional = 'id="'.$value.'"'; }
									$output .= "<li $option_additional >$key</li>"; 
								}
							
							$output .= '
							</ul>
						</div>
						
					</div><!-- .jwpanel-select -->
					
					<input type="hidden" name="'.$option['id'].'" value="'.$val.'" />
					
				</div><!-- .jwpanel-option -->';
				
			break;
 
			case 'upload':
			
				$val = $option['std'];
				$std = get_option($option['id']);
				if($std != '') { $val = $std; };
				
				$output .= '
				<div class="jwpanel-option">
							
					<label>'.$title.'<small>'.$desc.'</small></label>
					<input class="jwpanel-upload" id="'.$option['id'].'" type="file" />';
					
					if($val == ''){ $output .= '<small class="jwpanel-upload-message">No image uploaded yet</small>'; } else { $output .= '<small class="jwpanel-upload-message">'.basename($val).'</small>'; }
					
				$output .= '
					<input type="hidden" name="'.$option['id'].'" value="'.$val.'" />
				</div><!-- .jwpanel-option -->';
			
			break;
 
		}	
	}
	
	?>
	
	<div class="wrap" id="jwpanel">
		
		<?php if(isset($jwpanel_notification)){ echo '<div class="jwpanel-notification">'.$jwpanel_notification.'</div>'; } ?>
		
		<form method="post" enctype="multipart/form-data">
		
			<div id="jwpanel-container">
			
				<div id="jwpanel-header">
					
					<img id="jwpanel-logo" src="<?php bloginfo('template_url'); ?>/jwpanel/images/logo.png" alt="jwPanel" />
					
					<ul id="jwpanel-top-nav">
						<li><a href="<?php echo $jwp_links['profile_link']; ?>" target="_blank"><span>Our profile</span></a></li>
						<li><a href="<?php echo $jwp_links['portfolio_link']; ?>" target="_blank"><span>Our portfolio</span></a></li>
					</ul><!-- #jwpanel-top-nav -->
					
				</div><!-- #jwpanel-header -->
				
				<div id="jwpanel-main">
				
					<div id="jwpanel-sidebar">
						
						<ul>
							<?php echo $menu; ?>
						</ul>
						
					</div><!-- #jwpanel-sidebar -->
					
					<div id="jwpanel-content">
					
						<?php echo $output; ?>
						
					</div><!-- #jwpanel-content -->
				
					<div class="jwpanel-process">
				
						<span class="jwpanel-submit"><input type="image" src="<?php bloginfo('template_url'); ?>/jwpanel/images/submit.png" /></span>
						
						<span class="jwpanel-reset"><input type="image" src="<?php bloginfo('template_url'); ?>/jwpanel/images/reset.png" /> <em>Reset to defaults</em></span>
					
					</div>
					
				</div><!-- #jwpanel-main -->
			
			</div><!-- #jwpanel-container -->
			
			<input type="hidden" name="action" value="save" />
			
		</form>
		
	</div><!-- #jwpanel -->
 
	<form method="post" enctype="multipart/form-data">
		<input type="hidden" name="action" value="reset" />
		<input type="submit" name="jwpanel-reset-button" id="jwpanel-reset-button" />
	</form>
<?php
}
add_action('admin_menu', 'll_add_admin');
?>