<?php
/*
	Admin Options
*/

				
$themename = 'Lifeline';
$shortname = 'll';

$jwp_links = array( 'profile_link'       => 'http://themeforest.net/user/jvanoel',
					'portfolio_link'     => 'http://themeforest.net/user/jvanoel/portfolio');

$options = array();

// General options

$options[] = array( 'title' => 'General',
					'type'  => 'open' );
					
$options[] = array( 'title' => 'Logo - Upload Image',
					'desc'  => 'Upload the logo image.',
					'id'    => $shortname.'_logo_image',
					'std'   => '',
					'type'  => 'upload' );
					
$options[] = array( 'title' => 'Logo - Textual',
					'desc'  => 'If you want a textual logo turn this on. The name of your blog will be shown in text format instead of a logo.',
					'id'    => $shortname.'_logo_textual',
					'std'   => 'off',
					'type'  => 'switch' );
					
$options[] = array( 'title' => 'Favicon - Upload Image',
					'desc'  => 'Upload the favicon image.',
					'id'    => $shortname.'_favicon',
					'std'   => '',
					'type'  => 'upload' );
					
$options[] = array( 'title' => 'Email',
					'desc'  => 'Enter your email address here which will be used for the widget/shortcode for the contact form.',
					'id'    => $shortname.'_email',
					'std'   => get_option('admin_email'),
					'type'  => 'text' );
					
$options[] = array( 'title' => 'Analytics code',
					'desc'  => 'Insert the google analytics or any other analytics code here. It will be placed before the closing body tag.',
					'id'    => $shortname.'_analytics',
					'std'   => '',
					'type'  => 'textarea' );
					
					
$options[] = array( 'type'  => 'close' );


// Portfolio options

$options[] = array( 'title' => 'Portfolio',
					'type'  => 'open' );

$options[] = array( 'title' => 'Items Per Page',
					'desc'  => 'How many portfolio items to show per page.',
					'id'    => $shortname.'_portfolio_per_page',
					'std'   => '6',
					'type'  => 'text' );
					
$options[] = array( 'title' => 'Lightbox',
					'desc'  => 'Enable or disable the lightbox feature. If disabled clicking the images will take to the portfolio post.',
					'id'    => $shortname.'_portfolio_thickbox',
					'std'   => 'on',
					'type'  => 'switch' );
					
$options[] = array( 'title' => 'Image list',
					'desc'  => 'Enable or disable the image list bellow the project description in "Portfolio List".',
					'id'    => $shortname.'_portfolio_image_list',
					'std'   => 'on',
					'type'  => 'switch' );
					
$options[] = array( 'title' => 'Numbered Pagination',
					'desc'  => 'Show numbered pagination instead of the "newer" and "older".',
					'id'    => $shortname.'_portfolio_numbered_pagination',
					'std'   => 'off',
					'type'  => 'switch' );
					
$options[] = array( 'type'  => 'close' );


// Blog options

$options[] = array( 'title' => 'Blog',
					'type' => 'open' );

$options[] = array( 'title' => 'Posts Per Page',
					'desc'  => 'How many blog posts to show per page.',
					'id'    => $shortname.'_blog_per_page',
					'std'   => '6',
					'type'  => 'text' );
					
$options[] = array( 'title' => 'About Author',
					'desc'  => 'If you don\'t want to show the about the author box at the end of post content disable this feature.',
					'id'    => $shortname.'_blog_about_author',
					'std'   => 'on',
					'type'  => 'switch' );
					
$options[] = array( 'title' => 'Pingbacks&Trackbacks',
					'desc'  => 'By default pingbacks and trackbacks are shown as part of the comments listing, if you want you can turn them off.',
					'id'    => $shortname.'_blog_pings',
					'std'   => 'on',
					'type'  => 'switch' );
					
$options[] = array( 'title' => 'Post Thumbnails',
					'desc'  => 'Show post thumbnails.',
					'id'    => $shortname.'_blog_thumbnails',
					'std'   => 'on',
					'type'  => 'switch' );
					
$options[] = array( 'title' => 'Full Content On First Post',
					'desc'  => 'Show the full content instead of the excerpt on the first post in the post listing.',
					'id'    => $shortname.'_blog_full_first',
					'std'   => 'off',
					'type'  => 'switch' );
					
$options[] = array( 'title' => 'Meta - Author',
					'desc'  => 'Show the author in the meta.',
					'id'    => $shortname.'_blog_meta_author',
					'std'   => 'on',
					'type'  => 'switch' );
					
$options[] = array( 'title' => 'Meta - Date',
					'desc'  => 'Show the date in the meta.',
					'id'    => $shortname.'_blog_meta_date',
					'std'   => 'on',
					'type'  => 'switch' );
					
$options[] = array( 'title' => 'Meta - Categories',
					'desc'  => 'Show the categories in the meta.',
					'id'    => $shortname.'_blog_meta_categories',
					'std'   => 'on',
					'type'  => 'switch' );
					
$options[] = array( 'title' => 'Meta - Tags',
					'desc'  => 'Show the tags in the meta.',
					'id'    => $shortname.'_blog_meta_tags',
					'std'   => 'on',
					'type'  => 'switch' );
					
$options[] = array( 'title' => 'Meta - Comments',
					'desc'  => 'Show the comment count in the meta.',
					'id'    => $shortname.'_blog_meta_comments',
					'std'   => 'on',
					'type'  => 'switch' );
					
$options[] = array( 'title' => 'Numbered Pagination',
					'desc'  => 'Show numbered pagination instead of the "newer" and "older".',
					'id'    => $shortname.'_blog_numbered_pagination',
					'std'   => 'off',
					'type'  => 'switch' );

$options[] = array( 'type' => 'close' );


// Social options

$options[] = array( 'title' => 'Social',
					'type'  => 'open' );
					
$options[] = array( 'title' => 'Facebook',
					'desc'  => 'Insert full url.',
					'id'    => $shortname.'_social_facebook',
					'std'   => '',
					'type'  => 'text' );
					
$options[] = array( 'title' => 'Twitter',
					'desc'  => 'Insert full url.',
					'id'    => $shortname.'_social_twitter',
					'std'   => '',
					'type'  => 'text' );
					
$options[] = array( 'title' => 'LinkedIn',
					'desc'  => 'Insert full url.',
					'id'    => $shortname.'_social_linkedin',
					'std'   => '',
					'type'  => 'text' );
					
$options[] = array( 'title' => 'Flickr',
					'desc'  => 'Insert full url.',
					'id'    => $shortname.'_social_flickr',
					'std'   => '',
					'type'  => 'text' );
					
$options[] = array( 'title' => 'Vimeo',
					'desc'  => 'Insert full url.',
					'id'    => $shortname.'_social_vimeo',
					'std'   => '',
					'type'  => 'text' );
					
$options[] = array( 'title' => 'Design Float',
					'desc'  => 'Insert full url.',
					'id'    => $shortname.'_social_dfloat',
					'std'   => '',
					'type'  => 'text' );
					
$options[] = array( 'title' => 'FriendFeed',
					'desc'  => 'Insert full url.',
					'id'    => $shortname.'_social_friendfeed',
					'std'   => '',
					'type'  => 'text' );
					
$options[] = array( 'title' => 'MySpace',
					'desc'  => 'Insert full url.',
					'id'    => $shortname.'_social_myspace',
					'std'   => '',
					'type'  => 'text' );

$options[] = array( 'type'  => 'close' );

// Styling options

$options[] = array( 'title' => 'Appearance',
					'type' => 'open' );
					
$options[] = array( 'title' => 'Color Style',
					'desc'  => 'Please select the color style you want.',
					'id'    => $shortname.'_color_style',
					'std'   => 'orange',
					'type'  => 'select',
					'optns' => array('Orange' => 'orange', 'Blue' => 'blue', 'Green' => 'green','Black' => 'black') );

$options[] = array( 'title' => 'Headings Font',
					'desc'  => 'Please select the font you want. All of them are using the google fonts directory except Myriad.',
					'id'    => $shortname.'_heading_font',
					'std'   => 'myriad',
					'type'  => 'select',
					'optns' => array('Myriad(cufon)' => 'myriad', 
									 'Droid Sans' => 'Droid Sans',
									 'Droid Serif' => 'Droid Serif',
									 'Nobile' => 'Nobile',
									 'Molengo' => 'Molengo',
									 'OFL Sorts Mill Goudy TT' => 'OFL Sorts Mill Goudy TT',
									 'Vollkorn' => 'Vollkorn',
									 'Cantarell' => 'Cantarell',
									 'Ubuntu' => 'Ubuntu',
									 'Crimson Text' => 'Crimson Text',
									 'Cuprum' => 'Cuprum',
									 'Cardo' => 'Cardo',
									 'Avro' => 'Avro',
									 'Neuton' => 'Neuton',
									 'Philosopher' => 'Philosopher',
									 'Old Standard TT' => 'Old Standard TT',
									 'Arimo' => 'Arimo',
									 'Allerta' => 'Allerta',
									 'Tinos' => 'Tinos',
									 'Orbitron' => 'Orbitron',
									 'Puritan' => 'Puritan',
									 'Cabin' => 'Cabin',
									 'Copse' => 'Copse',
									 'Lato' => 'Lato',
									 'Allerta Stencil' => 'Allerta Stencil',
									 'PT Sans Narrow' => 'PT Sans Narrow',
									 'PT Sans Caption' => 'PT Sans Caption',
									 'PT Sans' => 'PT Sans',
									 'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
									 'Lobster' => 'Lobster'
									));
					
$options[] = array( 'title' => 'Top Bar',
					'desc'  => 'Show the top menu bar (the black bar at the top of the header).',
					'id'    => $shortname.'_top_bar',
					'std'   => 'on',
					'type'  => 'switch' );
					
$options[] = array( 'title' => 'Breadcrumbs',
					'desc'  => 'Show the breadcrumbs.',
					'id'    => $shortname.'_breadcrumbs',
					'std'   => 'on',
					'type'  => 'switch' );
					
$options[] = array( 'type'  => 'close' );					
				
?>