<?php
/*
	Template Name: Blog
*/
?>

<?php include TEMPLATEPATH.'/jwpanel/jwpanel-get.php'; ?>

<?php get_header(); ?>
	
<?php

// Query the posts from the blog
if(!isset($paged)){ $paged = $_GET['paged']; }
$query_string = "paged=$paged&post_type=post&showposts=$ll_blog_per_page";
$ll_query = new WP_Query($query_string);;

?>

<div id="contentContainer">

	<?php ll_show_breadcrumbs($post->ID); ?>

	<div id="content">
	
		<div id="blog" class="two-third">
			
			<?php $count = 0; ?>
			
			<?php if ($ll_query->have_posts()) : while ($ll_query->have_posts()) : $ll_query->the_post(); ?>
				
				<?php $count++; ?>
				
				<?php if($count > 1){ ?> <div class="hr"></div> <?php } ?>
				
				<div class="item">
					
					<h2><?php the_title(); ?></h2>
					
					<?php if(has_post_thumbnail() && $ll_blog_thumbnails == 'on'){ 
						?><a href="<?php the_permalink(); ?>"><?php
							the_post_thumbnail(); 
						?></a><?php
					} ?>
					
					<div class="content">
						<?php if($count == 1 && $ll_blog_full_first == 'on'){ the_content(); }else{ the_excerpt(); }?>
						<p><a href="<?php the_permalink(); ?>" class="btn grey"><span>Read more</span></a></p>
					</div>
					
					<div class="meta">
						<ul>
							<?php if($ll_blog_meta_author == 'on'){ ?><li class="user"><?php the_author_posts_link(); ?></li><?php } ?>
							<?php if($ll_blog_meta_date == 'on'){ ?><li class="cal"><?php the_time('F j, Y'); ?></li><?php } ?>
							<?php if($ll_blog_meta_categories == 'on'){ ?><li class="tag"><?php the_category(', '); ?></li><?php } ?>
							<?php if($ll_blog_meta_tags == 'on'){ ?><li class="tag"><?php the_tags('', ', ', ''); ?></li><?php } ?>
							<?php if($ll_blog_meta_comments == 'on'){ ?><li class="comments"><?php comments_popup_link('No comments','One comment','% comments','none'); ?></li><?php } ?>
						</ul>
					</div>
					
				</div> <!-- end blog item -->
				
			<?php endwhile; ?>
			
			<?php else : ?>
			
				<p><?php _e('There are no posts published yet.', 'lifeline'); ?></p>
			
			<?php endif; ?>
			
		</div><!-- #blog -->
		
		<div class="hr"></div>
		
		<?php wp_reset_query(); ?>
		
		<?php $num_pages = $ll_query->max_num_pages; ?>
		
		<?php $numbered_pagination = $ll_blog_numbered_pagination; ?>
		
		<?php include (TEMPLATEPATH . '/inc/nav.php' ); ?>

	</div><!-- #content -->

	<?php get_sidebar(); ?>

</div><!-- #contentContainer -->

<?php get_footer(); ?>