<?php
/*
	Template Name: Portfolio - List 
*/
?>

<?php include TEMPLATEPATH.'/jwpanel/jwpanel-get.php'; ?>

<?php get_header(); ?>

<?php
// This will get an array of posts belonging to the terms you defined in the 'portfolio_terms_ids' variable
if($page_custom['portfolio_category'][0] != 'show_all'){
	$portfolio_posts_to_query = get_objects_in_term( explode( ",", $page_custom['portfolio_category'][0] ), 'portfolio_type');
}

// Since there currently isn't any way of querying custom terms, use the 'post__in' filter
if(!isset($paged)){ $paged = $_GET['paged']; }
$args = array(
	'paged'				=> $paged,
	'post_type'			=> 'portfoliocustom',
	'showposts'			=> $ll_portfolio_per_page,
	'post__in'			=> $portfolio_posts_to_query
);
//Query the portfolio posts (custom post type named portfoliocustom).
$ll_query = new WP_Query($args); 
?>

<div id="contentContainer" class="full-width">

	<?php ll_show_breadcrumbs($post->ID); ?>

	<div id="content">
		
		<?php if ($ll_query->have_posts()) : while ($ll_query->have_posts()) : $ll_query->the_post(); ?>
		
			<?php $custom = get_post_custom($post->ID); ?>
					
			<?php if($ll_portfolio_thickbox == 'on'){ include TEMPLATEPATH.'/inc/fancybox-type.php'; }else{ $fancybox_class = 'blank'; $fancybox_type = 'blank'; } ?>
		
			<div class="half-page portfolio-list <?php echo $fancybox_class; ?>">
				<a href="<?php if($fancybox_type == 'video'){ echo $video_string; }elseif($fancybox_type == 'image'){ ll_thickbox_first_image($custom['portfolio_images'][0], 'gallery_'.$post->ID); }else{ the_permalink(); } ?>" rel="gallery_<?php echo $post->ID; ?>">
					<?php if(has_post_thumbnail()){ ?>
							<img src="<?php $thumb = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'portfolio_big'); echo $thumb[0];?>" class="border" />
					<?php } ?>
				</a>
				<?php if($fancybox_type == 'image'){ ll_thickbox_images($custom['portfolio_images'][0], 'gallery_'.$post->ID); } ?>
			</div>
			
			<div class="half-page last portfolio-list">
				
				<h2><?php the_title(); ?></h2>
				
				<?php the_excerpt(); ?>
				
				<?php if(!empty($custom['portfolio_images'][0]) && $ll_portfolio_image_list == 'on'){ ?>
					<ul class="screens">
						<?php ll_thickbox_images_single($post->ID, $custom['portfolio_images'][0]); ?>
					</ul><!-- .screens -->
				<?php } ?>
				
				<p>
					<a class="btn grey" href="<?php the_permalink(); ?>"><span><?php _e('View project', 'lifeline'); ?></span></a>
					<?php if(!empty($custom['portfolio_link'])){ ?>
						<a class="btn black" href="<?php echo $custom['portfolio_link'][0]; ?>"><span><?php _e('Go to website', 'lifeline'); ?></span></a>
					<?php } ?>
				</p>
				
			</div>
			
			<div class="hr noline"></div>
		
		<?php endwhile; endif; ?>
		
		<?php wp_reset_query(); ?>
		
		<?php $num_pages = $ll_query->max_num_pages; ?>
		
		<?php $numbered_pagination = $ll_portfolio_numbered_pagination; ?>
		
		<?php include (TEMPLATEPATH . '/inc/nav.php' ); ?>
		
	</div><!-- #content -->

</div><!-- #contentContainer -->

<?php get_footer(); ?>