<?php
/*
	Template Name: Portfolio - With Sidebar 
*/
?>

<?php include TEMPLATEPATH.'/jwpanel/jwpanel-get.php'; ?>

<?php get_header(); ?>

<?php $page_custom = get_post_custom($post->ID); ?>

<?php
// This will get an array of posts belonging to the terms you defined in the 'portfolio_terms_ids' variable
if($page_custom['portfolio_category'][0] != 'show_all'){
	$portfolio_posts_to_query = get_objects_in_term( explode( ",", $page_custom['portfolio_category'][0] ), 'portfolio_type');
}

//If portfolio filter is turned on show all posts (no pagination)
if(isset($page_custom['portfolio_filter'][0]) && $page_custom['portfolio_filter'][0] == 'yes'){
	$ll_portfolio_per_page = '-1';
}

// Since there currently isn't any way of querying custom terms, use the 'post__in' filter
if(!isset($paged)){ $paged = $_GET['paged']; }
$args = array(
	'paged'				=> $paged,
	'post_type'			=> 'portfoliocustom',
	'showposts'			=> $ll_portfolio_per_page,
	'post__in'			=> $portfolio_posts_to_query
);
//Query the portfolio posts (custom post type named portfoliocustom).
$ll_query = new WP_Query($args); 

?>

<div id="contentContainer">

	<?php ll_show_breadcrumbs($post->ID); ?>

	<div id="content">
			
		<?php if(isset($page_custom['portfolio_filter'][0]) && $page_custom['portfolio_filter'][0] == 'yes'){ //Portfolio filter ?>
	
			<div id="quicksand-nav">
				<?php
				echo do_shortcode('[button link="'.get_bloginfo('template_url').'/inc/ajax-quicksand.php?cat_id='.$page_custom['portfolio_category'][0].'&last=2"]All[/button]');
				$portfolio_categories = explode(",", $page_custom['portfolio_category'][0]);
				foreach($portfolio_categories as $p_cat){
					$p_cat_details = get_term_by('id', $p_cat, 'portfolio_type');
					echo do_shortcode('[button link="'.get_bloginfo('template_url').'/inc/ajax-quicksand.php?cat_id='.$p_cat.'&last=2"]'.$p_cat_details->name.'[/button]');
				}
				?>
			</div><!-- #quicksand-nav -->
		
			<div class="hr"></div>
		
		<?php } ?>
			
		<div class="portfolio grid">
			
			<ul class="portfolio-ul">
				
				<?php $count = 0; ?>
				
				<?php if ($ll_query->have_posts()) : while ($ll_query->have_posts()) : $ll_query->the_post(); ?>
					
					<?php 
					
					$count++;
					if($count == 2){ $last_class = ' last'; $count = 0; }else{ $last_class = ''; }
					
					?>
					
					<?php $custom = get_post_custom($post->ID); ?>
					
					<?php if($ll_portfolio_thickbox == 'on'){ include TEMPLATEPATH.'/inc/fancybox-type.php'; }else{ $fancybox_class = 'blank'; $fancybox_type = 'blank'; } ?>
				
					<li class="<?php echo $fancybox_class.$last_class; ?>" data-id="quicksand-id-<?php echo $post->ID; ?>">
						<div>
							<a href="<?php if($fancybox_type == 'video'){ echo $video_string; }elseif($fancybox_type == 'image'){ ll_thickbox_first_image($custom['portfolio_images'][0], 'gallery_'.$post->ID); }else{ the_permalink(); } ?>" rel="gallery_<?php echo $post->ID; ?>">
								<?php if(has_post_thumbnail()){ ?>
										<img src="<?php $thumb = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), '294x145'); echo $thumb[0];?>" />
								<?php } ?>
							</a>
							<?php if($fancybox_type == 'image'){ ll_thickbox_images($custom['portfolio_images'][0], 'gallery_'.$post->ID); } ?>
						</div>
						<h6><?php the_title(); ?></h6>
						<p><?php echo ll_text_limit(get_the_excerpt(), 120) ; ?></p>
						<a href="<?php the_permalink(); ?>" class="btn grey"><span><?php _e('Read more', 'lifeline'); ?></span></a>
					</li>
				
				<?php endwhile; endif; ?>
				
			</ul>
		
		</div><!-- .portfolio.grid -->
		
		<div class="hr"></div>
		
		<?php wp_reset_query(); ?>
		
		<?php $num_pages = $ll_query->max_num_pages; ?>
		
		<?php $numbered_pagination = $ll_portfolio_numbered_pagination; ?>
		
		<?php include (TEMPLATEPATH . '/inc/nav.php' ); ?>

	</div><!-- #content -->
	
	<?php get_sidebar('portfolio'); ?>

</div><!-- #contentContainer -->

<?php get_footer(); ?>